import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root'
})
export class SuggestionService {

  constructor() { }
  async getSuggestions(query: string): Promise<string[]> {
    let res = await fetch("http://oak.cs.ucla.edu/classes/cs144/examples/google-suggest.php?q="+encodeURI(query));
    let text = await res.text();    
    let parser = new DOMParser();
    let xml = parser.parseFromString(text,"text/xml");
    let s = xml.getElementsByTagName('suggestion');
    let suggestions = [];
    for (let i = 0; i < s.length; i++) {
        suggestions.push(s[i].getAttribute("data"));
    }
    return suggestions;
  }
}
